Boost libraries and older distributions

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Boost libraries and older distributions

maqifrnswa
Hey devs,

I've seen that librecad is using more boost library functions which
may only exist in new versions of boost.

The daily builds have been failing on ubuntu older that Oneiric (this
month's release). Is that something that will continue? It's ok if it
will, we'll have to update the documentation to say you need Ubuntu
oneiric for later versions of librecad, but earlier versions will work
with natty and older:
https://code.launchpad.net/~librecad-dev/+recipe/librecad-dev-daily

Cheers,
Scott
Reply | Threaded
Open this post in threaded view
|

Re: Boost libraries and older distributions

dxli
Hi Scott,

Please try again with the master HEAD.

I have fixed this building error due to older boost versions.

Regards,

Dongxu

On Wed, Oct 12, 2011 at 10:24 AM, showard314 [via LibreCAD] <[hidden email]> wrote:
Hey devs,

I've seen that librecad is using more boost library functions which
may only exist in new versions of boost.

The daily builds have been failing on ubuntu older that Oneiric (this
month's release). Is that something that will continue? It's ok if it
will, we'll have to update the documentation to say you need Ubuntu
oneiric for later versions of librecad, but earlier versions will work
with natty and older:
https://code.launchpad.net/~librecad-dev/+recipe/librecad-dev-daily

Cheers,
Scott



If you reply to this email, your message will be added to the discussion below:
http://librecad.1049103.n5.nabble.com/Boost-libraries-and-older-distributions-tp4895646p4895646.html
To start a new topic under LibreCAD-dev, email [hidden email]
To unsubscribe from LibreCAD-dev, click here.

Reply | Threaded
Open this post in threaded view
|

Re: Boost libraries and older distributions

maqifrnswa
On Wed, Oct 12, 2011 at 11:02 AM, dxli [via LibreCAD]
<[hidden email]> wrote:
> Hi Scott,
>
> Please try again with the master HEAD.
>
> I have fixed this building error due to older boost versions.

Great! they're working again.